Thank you for reporting this bug. We will make it our priority to review this report.
  1. #1
    Sencha Premium Member
    Join Date
    May 2011
    Posts
    5
    Vote Rating
    0
    alixon is on a distinguished road

      0  

    Default bubble event on sub-menus broken in 3.3.3

    bubble event on sub-menus broken in 3.3.3


    I have installed Ext 3.3.3 from svn and found the event from sub-menus does not bubble. It worked perfectly in 3.3.1

    fix / workaround would be highly appreciated.

    Code:
       
        Ext.onReady(function(){      
          new Ext.Toolbar({
            renderTo: 'cont',
            items: {
              text:'menu',
              menu:{
                xtype:'menu', 
                listeners: {'click':function(mi, c){ alert ('click: ' + c) }},
                items: [{
                  text:'Level 1 Pos 1', 
                  menu: {
                    items: [{
                      text:'Level 2 Pos 1', 
                      bubbleEvents: ['click']
                    }]
                  }
                }]
              }
              
            }
          });
            
        });

  2. #2
    Sencha - Community Support Team jsakalos's Avatar
    Join Date
    Apr 2007
    Location
    Slovakia
    Posts
    27,135
    Vote Rating
    322
    jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future

      0  

    Default


    Do you want me to move this thread to Bugs?

  3. #3
    Sencha Premium Member
    Join Date
    May 2011
    Posts
    5
    Vote Rating
    0
    alixon is on a distinguished road

      0  

    Default


    I was not shure if I make something wrong or if it es a bug.
    If you find it to be a bug - please move it to bugs.

    Do you have any idea for a workaround? I had to downgrade ext for my project but now there are issues with IE9.

  4. #4
    Sencha - Community Support Team jsakalos's Avatar
    Join Date
    Apr 2007
    Location
    Slovakia
    Posts
    27,135
    Vote Rating
    322
    jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future

      0  

    Default


    Config is OK and it worked in 3.3.1 so my conclusion is that it is a bug. Moving.

  5. #5
    Ext JS Premium Member
    Join Date
    Apr 2008
    Posts
    28
    Vote Rating
    0
    SimonDeNooij is on a distinguished road

      0  

    Default


    Saki, has this bug been fixed in 3.4? I've just updated a legacy application to 3.4 for IE9 support and this bug seems to be still present...

Thread Participants: 2

Tags for this Thread

film izle

hd film izle

film sitesi

takipci kazanma sitesi

takipci kazanma sitesi

güzel olan herşey

takipci alma sitesi

komik eğlenceli videolar